Subject: Re: Multicast and receive filtering in TUN/TAP

From: Max Krasnyansky <[email-masked]>
Date: Thu, 10 Jul 2008 19:20:07 -0700

Christian Borntraeger wrote:
> Am Donnerstag, 10. Juli 2008 schrieb Max Krasnyansky:
>>> Thing is, we are heading towards virtio. 
>> Even for Windows ?
> 
> Its possible:
> http://marc.info/?l=kvm&m=121075389300722&w=2
Nice.
btw Is there something similar for the display driver ? vmware has one.

>>> Unfortunately, virtio_net currently  does not offer a method to register 
> multicast addresses.
>> I haven't looked at the virtio stuff much, I was assuming that the host side
>> of it is still the TUN driver. Is it not ?
> 
> Yes, the host side is still tun/tap. The problem is that qemu doesnt know 
> which multicast addresses are used inside the guest.
Ah, now I see what you meant by virtio_net does not do multicast. I guess it
should trivial to add. Rusty will clarify it I guess.

Max